%define origname arts_output

Name: xmms-out-arts
Version: 0.7.1
Release: alt3

Epoch: %(date +%%Y%%m%%d)

Summary: KDE aRts output plugin for XMMS
License: GPL
Group: Sound

Url: http://havardk.xmms.org/plugins/arts_output
Source: %url/%origname-%version.tar.gz
Patch: %origname-0.6.0-buffer.patch

Packager: Ivan Fedorov <ns@altlinux.ru>

Obsoletes: xmms-arts

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: XFree86-devel XFree86-libs glib-devel glib2-devel glibc-devel-static gtk+-devel hostinfo libarts-devel libxmms-devel

# restricted by macros
BuildRequires: libxmms-devel >= 1.2.8-alt2

Summary(ru_RU.KOI8-R): aRts-  XMMS
Summary(uk_UA.KOI8-U): aRts-Ǧ  XMMS

%description
Output plugin to allow XMMS playback through the KDE soundserver, aRts

%description -l ru_RU.KOI8-R
     KDE (aRts)

%description -l uk_UA.KOI8-U
     KDE (aRts)

%prep
%setup -q -n %origname-%version
%patch -p1

%build
unset CC CXX
%configure --disable-static
%make_build

%install
%makeinstall DESTDIR=%buildroot bindir=%_bindir libdir=%xmms_outputdir

%files
%doc README NEWS INSTALL AUTHORS
%_bindir/xmms-arts-helper
%xmms_outputdir/libarts.la
%xmms_outputdir/libarts.so

%changelog
* Fri Dec 03 2004 Ivan Fedorov <ns@altlinux.ru> 20041203:0.7.1-alt3
- 0.7.1 again. Because 0.6.0 doesn't work with arts 1.3.x

* Wed Aug 04 2004 Michael Shigorin <mike@altlinux.ru> 20040804:0.6.0-alt3
- rollback to 0.6.0 (#4340)

* Fri Apr 16 2004 Michael Shigorin <mike@altlinux.ru> 20040416:0.7.1-alt2
- fixed missing deps, thanks to QA Team Robot (qa@)

* Tue Mar 23 2004 Michael Shigorin <mike@altlinux.ru> 20040323:0.7.1-alt1
- 0.7.1

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 20031217:0.6.0-alt2
- rebuilt for Sisyphus

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 20031025:0.6.0-alt1
- updated for new plugin policy
- renamed to %name

* Thu Oct 23 2003 Michael Shigorin <mike@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.4-alt2
- Rebuilt in new environment
- Some spec cleanup
- Added buildrequires

* Wed Jun 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.4-alt1
- Updated to 0.4
- Rebuild with libxmms-1.2.5
- Don't include static library

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 0.3-ipl1mdk
- build for RE

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- new in contribs

* Fri Oct 06 2000 Sandor Takacs <taki@fok.hu> 0.1-1mdk
- First Mandrake release
